function Write-ProgressBarQueued {
    param (
        [Parameter(Mandatory = $false, Position = 0)][ValidateRange(1, [int]::MaxValue)][int]$Repetitions = 1,
        [Parameter(Mandatory = $false)][ValidateRange(1, [int]::MaxValue)][int]$MaxDots = 4
    )
    for ($i = 0; $i -lt $Repetitions; $i++) {
        # Repeat.
        for ($j = 0; $j -le $MaxDots; $j++) {
            # Add $j number of dots.
            Write-Progress -Activity "Database import is queued$('.'*$j)" -Status "1% Complete:" -PercentComplete 1; Start-Sleep -Seconds 1
        }
    }
}